%define upstream_name    Net-LibIDN
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Perl bindings for GNU Libidn
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(libidn)
BuildRequires: perl-devel

# Filter the Perl extension module
%{?perl_default_filter}

%description
Provides bindings for GNU Libidn, a C library for handling
Internationalized Domain Names according to IDNA (RFC 3490), in a way very
much inspired by Turbo Fredriksson's PHP-IDN.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.120.0-22.mga8
+ Revision: 1594954
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.120.0-21.mga8
+ Revision: 1530002
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.120.0-20.mga8
+ Revision: 1433855
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.120.0-19.mga7
+ Revision: 1293545
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.120.0-18.mga7
+ Revision: 1249806
- Rebuild for perl 5.28

* Fri May 11 2018 kekepower <kekepower> 0.120.0-17.mga7
+ Revision: 1228384
- Rebuild for libidn 1.35

* Tue Oct 03 2017 tv <tv> 0.120.0-16.mga7
+ Revision: 1165863
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.120.0-15.mga7
+ Revision: 1149092
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.120.0-14.mga7
+ Revision: 1126712
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-13.mga6
+ Revision: 1031159
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.120.0-12.mga6
+ Revision: 957816
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.120.0-11.mga6
+ Revision: 845053
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.120.0-10.mga6
+ Revision: 842571
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-9.mga5
+ Revision: 788509
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-8.mga5
+ Revision: 746740
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.120.0-7.mga5
+ Revision: 732421
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-6.mga5
+ Revision: 685684
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.120.0-5.mga5
+ Revision: 631518
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-4.mga4
+ Revision: 524421
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.120.0-3.mga4
+ Revision: 430918
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 370738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 304479
- adding missing buildrequires:
- imported package perl-Net-LibIDN


* Wed Oct 10 2012 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
